Skip to content

Batch move or close handoff tickets

POST
/projects/{id}/tickets/bulk
curl --request POST \
--url https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tickets/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "action": "move", "ticket_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "stage": "backlog", "skip_pending_roles": true, "skip_human_test_gate": true, "resolution_note": "example", "resolution_type": "completed" }'
id
required
string format: uuid

Project UUID

Media type application/json
object
action
required
string
Allowed values: move close
ticket_ids
required
Array<string>
>= 1 items <= 100 items
stage

Required when action is move

string
Allowed values: backlog up_next in_progress validation live
skip_pending_roles

Skip incomplete roles when closing or moving to live.

boolean
skip_human_test_gate

Admin/super-admin only; bypass pending human test cases after explicit approval.

boolean
resolution_note
string
<= 5000 characters
resolution_type
string
Allowed values: completed already_done duplicate wont_fix no_longer_relevant cancelled

Bulk operation result

Media type application/json
object
updated
required
integer
errors
required
Array<object>
object
id
required
string
error
required
string

Invalid request

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean

Forbidden

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number